body, html {
    font-family: Arial, sans-serif;
    background-color: #fff;
    color:  #000 ;
    font-size: 20px;
    margin: 0;
    padding: 0;
}


   .float-wa{
        position:fixed;
        width:60px;
        height:60px;
        bottom:40px;
        right:40px;
        background-color:#25d366;
        color:#FFF;
        border-radius:50px;
        text-align:center;
        font-size:30px;
        z-index:100;
    }



@media (max-width: 600px) {
    .vista {
        flex-direction: column; /* Cambia a columna en pantallas pequeñas */
    }
}

/*header {
    background-color: #000;
    padding: 20px;
}*/

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed; 
    top: 0;
    height: 70px;
    z-index: 1000; 
    background-color: #fff; 
    width: 100%;
}

nav .logo {
    font-size: 2rem;
    color: #72c522;
    text-shadow: -0.5px -0.5px 0 rgba(0, 0, 0, 0.5), 
             0.5px -0.5px 0 rgba(0, 0, 0, 0.5), 
             -0.5px 0.5px 0 rgba(0, 0, 0, 0.5), 
             0.5px 0.5px 0 rgba(0, 0, 0, 0.5);
}

nav ul {
    padding: 5%;
    display: flex;
    list-style: none;
    margin-left: auto; /* Mueve la lista a la derecha */
}

nav ul li {
    margin-left: 30px;
    position: relative;
}

nav ul li a {
    text-decoration: none;
    color: #000;
    font-size: 1.2rem;
    position: relative;
    cursor: pointer;
}

nav ul li a:hover {
    color: #a7e257;
}

/* Dropdown menu styles */
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #161616;
    min-width: 200px;
    top: 100%;
    left: 0;
    z-index: 1;
    width: 100%; /* Coincide con el ancho del elemento padre */
    text-align: center; /* Centra el texto dentro del dropdown */
    max-height: 450px; /* Fija la altura máxima */
    overflow-y: auto; /* Habilita el scroll vertical */
}

.dropdown-content li a {
    color: #72c522;
    padding: 10px;
    display: block;
    text-decoration: none;
    font-size: 1rem;
}

.dropdown-content li a:hover {
    background-color: #72c522;
    color: #000;
}

/* Mostrar el dropdown al hacer hover */
.dropdown:hover .dropdown-content {
    display: block;
}

.vista {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 100px;
    background-color: #000;
    border-radius: 15px;
}

.content {
    max-width: 600px;
}

.content h1 {
    font-size: 3rem;
    color: #fff;
}

.content h2 {
    font-size: 4rem;
    color: #fff;
    margin: 20px 0;
}

#inicio .content {
    text-align: left; /* Asegura que todo el contenido dentro de .content se alinee a la izquierda */
}

#inicio .sub {
    /*text-align: left;  Alinea específicamente este h2 */
    text-align: justify;
    color: #fff; /* Color blanco */
    font-size: 4rem; /* Tamaño de fuente */
    margin: 20px 0; /* Margen */
}

.content p {
    font-size: 1.2rem;
    margin: 20px 0;
    color: #fff;
    text-align: justify;
}



section {
    /*padding: 40px 20px;*/
    max-width: 1200px;
    margin: auto;
    border-radius: 3px;
    text-align: justify; /* Textos justificados */
    padding-top: 2px; /* Espaciado interno en la parte superior */
    padding-bottom: 1px; /* Espaciado interno en la parte inferior */
}

h1 {
    color: #000;
    text-align: center;
}

h3 {
    font-size: 2rem;
}

h1 {
    font-size: 4rem;
}

h2 {
    font-size: 2rem;
    margin-top: 20px;
}

#inicio .sub {
    
   text-align: justify; /* Justifica el texto */
    text-align-last: left; /* La última línea queda alineada a la izquierda */
    color: #fff;
    font-size: 4rem;
    margin: 20px 0;
    width: fit-content; /* El contenedor solo ocupa el ancho necesario */
    /*max-width: 100%;  Pero no más ancho que su contenedor padre */
}

p {
    line-height: 1.8;
    margin: 15px 0;
    font-size: 1rem;
}

.btn {
    display: inline-block;
    background-color: #72c522;
    color: white;
    text-shadow: -0.5px -0.5px 0 rgba(0, 0, 0, 0.5), 
             0.5px -0.5px 0 rgba(0, 0, 0, 0.5), 
             -0.5px 0.5px 0 rgba(0, 0, 0, 0.5), 
             0.5px 0.5px 0 rgba(0, 0, 0, 0.5);
    padding: 15px 30px;
    text-decoration: none;
    font-size: 1.2rem;
    margin-top: 20px;
    transition: background-color 0.3s;
    border-radius: 10px;
}

.btn:hover {
    background-color: #a7e257;
}

footer {
    background-color: #1a1a1a;
    padding: 25px;
    text-align: center;
    color: #fff;
    margin-top: 40px;
}



/* Responsive para pantallas pequeñas */
@media (max-width: 768px) {
    nav ul {
        flex-direction: column;
        gap: 10px;
    }

    h1 {
        font-size: 2.5rem;
    }

    h2 {
        font-size: 2rem;
    }

    button {
        width: 100%;
    }

    table th, table td {
        padding: 8px 10px;
        font-size: 14px;
    }
}
.image-container {
    position: absolute;
    top: -10;
    right: 0;
    width: 50%; 
    height: 100vh; 
    overflow: hidden;
}


.cropped-image {
    left: -100;     
    object-fit: cover; 
    position: absolute;
}



section.ahorro {
    padding: 40px 20px;
    max-width: 1200px;
    margin: auto;
    border-radius: 3px;
    text-align: justify; /* Textos justificados */
    background-color: #000;
}

section.verde {
    padding: 40px 20px;
    max-width: 1200px;
    margin: auto;
    border-radius: 3px;
    text-align: justify; /* Textos justificados */
    background-color: #a7e257;
}


.text-image-container {
    display: flex; /* Activa Flexbox */
    align-items: center; /* Alinea verticalmente texto e imagen */
    justify-content: space-between; /* Espacia entre el texto y la imagen */
    gap: 80px; /* Espacio entre texto e imagen */
    padding: 20px; /* Agrega espacio alrededor del contenedor */
}

.text-image-container2 {
    display: flex; /* Activa Flexbox */
    align-items: center; /* Alinea verticalmente texto e imagen */
    flex-direction: row-reverse;
    justify-content: space-between; /* Espacia entre el texto y la imagen */
    gap: 80px; /* Espacio entre texto e imagen */
    padding: 20px; /* Agrega espacio alrededor del contenedor */
}

.text-image-container2 img {
    width: 580px; /* Cambia este valor al tamaño que prefieras */
    height: auto; /* Mantiene la proporción de la imagen */
}

.text-image-container p {
    flex: 1; /* Ocupa el mismo espacio que la imagen */
    text-align: justify; /* Justifica el texto */
    font-size: 1rem; /* Ajusta el tamaño del texto */
    line-height: 1.8; /* Mejora la legibilidad */
    margin: 0; /* Elimina márgenes adicionales */
}

.text-image-container img {
    flex: 1; /* Ocupa el mismo espacio que el texto */
    max-width: 50%; /* Limita el ancho máximo de la imagen */
    height: auto; /* Mantiene la proporción de la imagen */
    border-radius: 10px; /* Bordes redondeados opcionales */
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); /* Sombra opcional */
}
